| Home | Libraries | People | FAQ | More

##### basic_signal_set::remove (1 of 2 overloads)

Remove a signal from a signal_set.

    void remove(
        int signal_number);

This function removes the specified signal from the set. It has no effect if the signal is not in the set.

###### Parameters

signal_number

  The signal to be removed from the set.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Remarks

Removes any notifications that have been queued for the specified signal number.